Skip to main content
GET
/
api
/
v1
/
orders
List orders
curl --request GET \
  --url https://api.example.com/api/v1/orders \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.example.com/api/v1/orders"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.example.com/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "orderId": 123,
      "fixtureId": "id1604296768235456",
      "outcomeId": 161,
      "exchange": "polymarket",
      "orderStatus": "PLACED",
      "orderStake": 100,
      "matchedStake": 50
    }
  ],
  "total": 100,
  "page": 1,
  "pageSize": 50,
  "totalPages": 2
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Client API key (UUID format). Get your key from the admin dashboard.

Query Parameters

fixtureId
string | null

Filter by fixture ID

exchange
string | null

Filter by exchange (polymarket, kalshi, etc.)

status
string | null

Filter by order status (PLACED, FILLED, CANCELLED)

fromDate
string<date> | null

Filter orders created on or after this date (YYYY-MM-DD)

toDate
string<date> | null

Filter orders created on or before this date (YYYY-MM-DD)

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
pageSize
integer
default:50

Items per page (max 2000)

Required range: 1 <= x <= 2000

Response

Paginated list of orders

Paginated response wrapper for list endpoints.

data
any[]
required

List of items for current page

total
integer
required

Total number of items across all pages

page
integer
required

Current page number (1-indexed)

pageSize
integer
required

Number of items per page

totalPages
integer
required

Total number of pages